GNU bug report logs - #5535
23.1.50; emacs daemon high CPU load even while ununsed

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: djcb@HIDDEN; merged with #10669; dated Sat, 6 Feb 2010 15:58:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 5535 10669. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 5535 <at> debbugs.gnu.org:


Received: (at 5535) by debbugs.gnu.org; 29 Nov 2011 17:19:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 29 12:19:12 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RVRKl-0003TI-Ub
	for submit <at> debbugs.gnu.org; Tue, 29 Nov 2011 12:19:11 -0500
Received: from mail2.sha-bang.de ([78.47.120.114] helo=mail.sha-bang.de)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <wilde@HIDDEN>) id 1RVMUt-00032K-LY
	for 5535 <at> debbugs.gnu.org; Tue, 29 Nov 2011 07:09:16 -0500
Received: from kenny.lan.sha-bang.de (xdslcc076.osnanet.de [89.166.130.76])
	by mail.sha-bang.de (Postfix) with ESMTPSA id 8065E551
	for <5535 <at> debbugs.gnu.org>; Tue, 29 Nov 2011 13:07:15 +0100 (CET)
Received: from localhost.lan0.sha-bang.de ([127.0.0.1]
	helo=kenny.lan.sha-bang.de)
	by kenny.lan.sha-bang.de with esmtp (Sha Bang MUA v.0711184.68)
	ID 1RVMSx-00068B-3t
	for 5535 <at> debbugs.gnu.org; Tue, 29 Nov 2011 13:07:15 +0100
From: Sascha Wilde <wilde@HIDDEN>
To: 5535 <at> debbugs.gnu.org
Subject: Re: 24.0.91, emacs daemon high CPU load and .xsession-errors overflow
In-Reply-To: <m239d7p2em.fsf@HIDDEN> (Sascha Wilde's message of
	"Tue, 29 Nov 2011 12:57:05 +0100")
References: <m239d7p2em.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.91 (gnu/linux)
Date: Tue, 29 Nov 2011 13:07:14 +0100
Message-ID: <m2y5uznnd9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 5535
X-Mailman-Approved-At: Tue, 29 Nov 2011 12:19:05 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Sascha Wilde <wilde@HIDDEN> wrote:

It turned out my problem was caused by an older emacs daemon process
which -- for unknown reasons -- did not cleanly terminate.  emacs-client
wasn't able to connect it any more (and spawned a new emacs deamon for
that reason) but the old daemon was still around and, for some reasons,
misbehaving in the described ways...

cheers
sascha
-- 
Sascha Wilde

Lisp is the red pill.
  -- John Fraser, comp.lang.lisp




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5535; Package emacs. Full text available.

Message received at 5535 <at> debbugs.gnu.org:


Received: (at 5535) by debbugs.gnu.org; 29 Nov 2011 17:19:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 29 12:19:01 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RVRKe-0003SO-Lt
	for submit <at> debbugs.gnu.org; Tue, 29 Nov 2011 12:19:01 -0500
Received: from mail2.sha-bang.de ([78.47.120.114] helo=mail.sha-bang.de)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <wilde@HIDDEN>) id 1RVML4-0002nI-Ls
	for 5535 <at> debbugs.gnu.org; Tue, 29 Nov 2011 06:59:08 -0500
Received: from kenny.lan.sha-bang.de (xdslcc076.osnanet.de [89.166.130.76])
	by mail.sha-bang.de (Postfix) with ESMTPSA id 50E6E551
	for <5535 <at> debbugs.gnu.org>; Tue, 29 Nov 2011 12:57:06 +0100 (CET)
Received: from localhost.lan0.sha-bang.de ([127.0.0.1]
	helo=kenny.lan.sha-bang.de)
	by kenny.lan.sha-bang.de with esmtp (Sha Bang MUA v.0711184.68)
	ID 1RVMJ7-000654-ST
	for 5535 <at> debbugs.gnu.org; Tue, 29 Nov 2011 12:57:05 +0100
From: Sascha Wilde <wilde@HIDDEN>
To: 5535 <at> debbugs.gnu.org
Subject: 24.0.91, emacs daemon high CPU load and .xsession-errors overflow
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.91 (gnu/linux)
Date: Tue, 29 Nov 2011 12:57:05 +0100
Message-ID: <m239d7p2em.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 5535
X-Mailman-Approved-At: Tue, 29 Nov 2011 12:18:59 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Hi *,

I'm suffering from the same problem and it is still very bad with
current builds:

- the emacs in daemon mode takes up 100% CPU
- in addition the .xsession-errors is polluted with billions of lines
  only containing "Back to top level." -- this is even worse than the
  CPU usage as it fills up the disk space with megs and gigs of useless
  messages within minutes...

Any Ideas why this is?  Dirk-Jan mentioned erc, which I'm using, too.
But basically I wonder if it wouldn't help (and might be a good idea in
general) to mute the "Back to top level." Message completely for non
interactive use?

cheers
sascha
--=20
Sascha Wilde
Hauptfunktion einer GUI ist es IMHO, die dadurch verlorene Zeit durch
einen h=C3=B6heren Spa=C3=9F-Faktor zu kompensieren. Essentiell ein
Computerspiel.  --  Rainer Weikusat in d.c.o.u.d




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5535; Package emacs. Full text available.

Message received at 5535 <at> debbugs.gnu.org:


Received: (at 5535) by debbugs.gnu.org; 23 Oct 2011 17:54:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 23 13:54:14 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RI2FS-00041b-68
	for submit <at> debbugs.gnu.org; Sun, 23 Oct 2011 13:54:14 -0400
Received: from vs10.mail.saunalahti.fi ([195.197.172.105])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <djcb@HIDDEN>) id 1RI2FO-00041S-Hk
	for 5535 <at> debbugs.gnu.org; Sun, 23 Oct 2011 13:54:12 -0400
Received: from vams (localhost [127.0.0.1])
	by vs10.mail.saunalahti.fi (Postfix) with SMTP id 525AB140055;
	Sun, 23 Oct 2011 20:52:42 +0300 (EEST)
Received: from gw02.mail.saunalahti.fi (gw02.mail.saunalahti.fi
	[195.197.172.116])
	by vs10.mail.saunalahti.fi (Postfix) with ESMTP id 3AE4E140055;
	Sun, 23 Oct 2011 20:52:42 +0300 (EEST)
Received: from cthulhu.djcbsoftware.djcbsoftware.nl
	(a88-112-255-94.elisa-laajakaista.fi [88.112.255.94])
	(using SSLv3 with cipher DHE-RSA-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by gw02.mail.saunalahti.fi (Postfix) with ESMTP id 122771396F6;
	Sun, 23 Oct 2011 20:52:39 +0300 (EEST)
From: Dirk-Jan C. Binnema <djcb@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: Re: bug#5535: 23.1.50;
	emacs daemon high CPU load even while ununsed
References: <867hqqnyqp.fsf@HIDDEN>,
	<201002061834.o16IYInw028968@HIDDEN>,
	<87ock1qe5g.wl%djcb@HIDDEN>,
	<6bzkhelg9v.fsf@HIDDEN>
User-agent: mu 0.98pre; emacs 24.0.90.8
In-reply-to: <6bzkhelg9v.fsf@HIDDEN>
Date: Sun, 23 Oct 2011 20:52:37 +0300
Message-ID: <8762jfd28q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 5535
Cc: 5535 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: djcb@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)


Hi Glenn,

On Thu 06 Oct 2011 10:40:12 AM EEST, Glenn Morris wrote:

 > 
 > Re: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5535
 > 
 > Do you still see this issue in the latest version of Emacs?

I think it has gotten much better (I'm using emacs 24 snapshots). The only
time I still see it sometimes is with ERC. I'll try to get some backtrace
there.

Best wishes,
Dirk.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5535; Package emacs. Full text available.

Message received at 5535 <at> debbugs.gnu.org:


Received: (at 5535) by debbugs.gnu.org; 6 Oct 2011 07:40:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 06 03:40:26 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RBiZ7-0003kO-TX
	for submit <at> debbugs.gnu.org; Thu, 06 Oct 2011 03:40:26 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1RBiZ5-0003kF-Eb
	for 5535 <at> debbugs.gnu.org; Thu, 06 Oct 2011 03:40:24 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1RBiYu-0001Mk-MI; Thu, 06 Oct 2011 03:40:12 -0400
From: Glenn Morris <rgm@HIDDEN>
To: djcb@HIDDEN
Subject: Re: bug#5535: 23.1.50; emacs daemon high CPU load even while ununsed
References: <867hqqnyqp.fsf@HIDDEN>
	<201002061834.o16IYInw028968@HIDDEN>
	<87ock1qe5g.wl%djcb@HIDDEN>
X-Spook: Israel Kosovo TWA spies passwd mindwar military Rule Psix
X-Ran: >Zd7>'#%5v.A+>3Ko*y\rTsF)^q!cMiH~.q3N[@K@`*/}cUA]O:6I+r4`ETX1;I<,WM.^`
X-Hue: red
X-Attribution: GM
Date: Thu, 06 Oct 2011 03:40:12 -0400
In-Reply-To: <87ock1qe5g.wl%djcb@HIDDEN> (Dirk-Jan C. Binnema's
	message of "Sun, 07 Feb 2010 17:06:03 +0200")
Message-ID: <6bzkhelg9v.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 5535
Cc: 5535 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)


Re: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5535

Do you still see this issue in the latest version of Emacs?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5535; Package emacs. Full text available.

Message received at 5535 <at> debbugs.gnu.org:


Received: (at 5535) by debbugs.gnu.org; 7 Feb 2010 15:06:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 07 10:06:18 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ne8iI-0007XD-Hq
	for submit <at> debbugs.gnu.org; Sun, 07 Feb 2010 10:06:18 -0500
Received: from gw03.mail.saunalahti.fi ([195.197.172.111])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <djcb@HIDDEN>) id 1Ne8iD-0007X2-Ni
	for 5535 <at> debbugs.gnu.org; Sun, 07 Feb 2010 10:06:17 -0500
Received: from djcbsoftware.nl (a88-114-93-212.elisa-laajakaista.fi
	[88.114.93.212])
	(using TLSv1 with cipher ADH-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by gw03.mail.saunalahti.fi (Postfix) with ESMTP id AA7D021652F;
	Sun,  7 Feb 2010 17:06:05 +0200 (EET)
Received: from cthulhu.mindcrime.djcbsoftware.nl (localhost [127.0.0.1])
	by djcbsoftware.nl (Postfix) with ESMTP id 17CC639C1E9;
	Sun,  7 Feb 2010 17:06:03 +0200 (EET)
Date: Sun, 07 Feb 2010 17:06:03 +0200
Message-ID: <87ock1qe5g.wl%djcb@HIDDEN>
From: Dirk-Jan C. Binnema <djcb@HIDDEN>
To: Dan Nicolaescu <dann@HIDDEN>
Subject: Re: bug#5535: 23.1.50; emacs daemon high CPU load even while ununsed
In-Reply-To: <201002061834.o16IYInw028968@HIDDEN>
References: <867hqqnyqp.fsf@HIDDEN>
	<201002061834.o16IYInw028968@HIDDEN>
Mail-Reply-To: djcb@HIDDEN
User-Agent: Wanderlust/2.15.9 (Almost Unreal) Emacs/23.1 Mule/6.0
	(HANACHIRUSATO)
Organization: DJCBSoftware
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: -3.9 (---)
X-Debbugs-Envelope-To: 5535
Cc: "5535 <at> debbugs.gnu.org" <5535 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.7 (---)

Hi Dan,

>>>>> "Dan" == Dan Nicolaescu <dann@HIDDEN> writes:

    Dan> djcb@HIDDEN writes:
    >> I noted that Emacs (emacs --daemon) takes a lot of of CPU (up to 80%), even
    >> when I am not using it. I am starting emacs --daemon from my ~/.gnomerc, which
    >> is invoked when I start my X session.
    >> 
    >> I used strace to see what was going on:
    >> 
    >> gettimeofday({1265471350, 42334}, NULL) = 0
    >> read(0, "", 4096)                       = 0
    >> write(2, "Back to top level.", 18)      = 18
    >> write(2, "\n", 1)                       = 1
    >> poll([{fd=7, events=POLLIN}], 1, 0)     = 0 (Timeout)
    >> gettimeofday({1265471350, 42538}, NULL) = 0
    >> read(0, "", 4096)                       = 0
    >> write(2, "Back to top level.", 18)      = 18
    >> write(2, "\n", 1)                       = 1
    >> poll([{fd=7, events=POLLIN}], 1, 0)     = 0 (Timeout)
    >> gettimeofday({1265471350, 42736}, NULL) = 0
    >> read(0, "", 4096)                       = 0
    >> write(2, "Back to top level.", 18)      = 18
    >> write(2, "\n", 1)                       = 1
    >> 
    >> [...]
    >> 
    >> and this continues at high speed. Apparently, emacs calling the lisp function
    >> normal-top-level in lisp/startup.el many, many times.
  
    >> Hope this helps tracking down the issue.

    Dan> Did you have X11 emacs frames and kill the frames, or kill X11?
    Dan> If yes, then it's probably a long time bug in Gtk+ that causes this.
    Dan> http://bugzilla.gnome.org/show_bug.cgi?id=85715

I did not open any frames yet; emacs-daemon was just running in the
background.

I noticed that when I started cmdline manually, I got into some weird
semi-interactive state -- emacs was not visible, but it seemed as if emacs was
somehow interpreting my key strokes, and its output was only the echo area.

Anyway, I'll see if it can be reproduced with the newer snapshot (I have
upgraded now).

Thanks,
Dirk.

-- 
Dirk-Jan C. Binnema                  Helsinki, Finland
e:djcb@HIDDEN           w:www.djcbsoftware.nl
pgp: D09C E664 897D 7D39 5047 A178 E96A C7A1 017D DA3C




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5535; Package emacs. Full text available.

Message received at 5535 <at> debbugs.gnu.org:


Received: (at 5535) by debbugs.gnu.org; 6 Feb 2010 18:34:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 06 13:34:35 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NdpUI-0000jt-KK
	for submit <at> debbugs.gnu.org; Sat, 06 Feb 2010 13:34:34 -0500
Received: from paul-mcgann-v0.ics.uci.edu ([128.195.1.147])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dann@HIDDEN>) id 1NdpUG-0000jl-6V
	for 5535 <at> debbugs.gnu.org; Sat, 06 Feb 2010 13:34:33 -0500
Received: from godzilla.ics.uci.edu (godzilla.ics.uci.edu [128.195.10.101])
	by paul-mcgann-v0.ics.uci.edu (8.13.8/8.13.8) with ESMTP id
	o16IYJ24006575
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Sat, 6 Feb 2010 10:34:19 -0800
Received: (from dann@localhost)
	by godzilla.ics.uci.edu (8.13.8+Sun/8.13.6/Submit) id o16IYInw028968;
	Sat, 6 Feb 2010 10:34:18 -0800 (PST)
Date: Sat, 6 Feb 2010 10:34:18 -0800 (PST)
Message-Id: <201002061834.o16IYInw028968@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
To: djcb@HIDDEN
Subject: Re: bug#5535: 23.1.50; emacs daemon high CPU load even while ununsed
References: <867hqqnyqp.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
In-Reply-To: <867hqqnyqp.fsf@HIDDEN> (djcb@HIDDEN's message
	of "Sat, 06 Feb 2010 17:57:18 +0200")
Lines: 47
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-ICS-MailScanner-Information: Please send mail to helpdesk@HIDDEN or
	more information
X-ICS-MailScanner-ID: o16IYJ24006575
X-ICS-MailScanner: Found to be clean
X-ICS-MailScanner-SpamCheck: not spam, SpamAssassin (not cached, score=-1.44, 
	required 5, autolearn=disabled, ALL_TRUSTED -1.44)
X-ICS-MailScanner-From: dann@HIDDEN
X-Spam-Status: No
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 5535
Cc: 5535 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

djcb@HIDDEN writes:

  > I noted that Emacs (emacs --daemon) takes a lot of of CPU (up to 80%), even
  > when I am not using it. I am starting emacs --daemon from my ~/.gnomerc, which
  > is invoked when I start my X session.
  > 
  > I used strace to see what was going on:
  > 
  > gettimeofday({1265471350, 42334}, NULL) = 0
  > read(0, "", 4096)                       = 0
  > write(2, "Back to top level.", 18)      = 18
  > write(2, "\n", 1)                       = 1
  > poll([{fd=7, events=POLLIN}], 1, 0)     = 0 (Timeout)
  > gettimeofday({1265471350, 42538}, NULL) = 0
  > read(0, "", 4096)                       = 0
  > write(2, "Back to top level.", 18)      = 18
  > write(2, "\n", 1)                       = 1
  > poll([{fd=7, events=POLLIN}], 1, 0)     = 0 (Timeout)
  > gettimeofday({1265471350, 42736}, NULL) = 0
  > read(0, "", 4096)                       = 0
  > write(2, "Back to top level.", 18)      = 18
  > write(2, "\n", 1)                       = 1
  > 
  > [...]
  > 
  > and this continues at high speed. Apparently, emacs calling the lisp function
  > normal-top-level in lisp/startup.el many, many times.
  
  > Hope this helps tracking down the issue.

Did you have X11 emacs frames and kill the frames, or kill X11?
If yes, then it's probably a long time bug in Gtk+ that causes this.
http://bugzilla.gnome.org/show_bug.cgi?id=85715

  > Best wishes,
  > Dirk.
  > 
  > 
  > If you would like to further debug the crash, please read the file
  > /usr/share/emacs/23.1.50/etc/DEBUG for instructions.
  > 
  > 
  > In GNU Emacs 23.1.50.1 (x86_64-pc-linux-gnu, GTK+ Version 2.18.0)
  >  of 2009-09-27 on crested, modified by Debian
  >  (emacs-snapshot package, version 1:20090909-1)

This is an old snapshot, you might want to try a newer version.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5535; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Feb 2010 15:57:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 06 10:57:34 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ndn2M-0007Tp-2Y
	for submit <at> debbugs.gnu.org; Sat, 06 Feb 2010 10:57:34 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <djcb@HIDDEN>) id 1Ndn2K-0007Tg-2k
	for submit <at> debbugs.gnu.org; Sat, 06 Feb 2010 10:57:33 -0500
Received: from mail.gnu.org ([199.232.76.166]:44079 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.69)
	(envelope-from <djcb@HIDDEN>) id 1Ndn2F-0002rU-AF
	for emacs-pretest-bug@HIDDEN; Sat, 06 Feb 2010 10:57:27 -0500
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim
	4.60) (envelope-from <djcb@HIDDEN>) id 1Ndn2C-0007aV-BC
	for emacs-pretest-bug@HIDDEN; Sat, 06 Feb 2010 10:57:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.1.0 (2005-09-13) on monty-python
X-Spam-Level: 
X-Spam-Status: No, score=-2.0 required=5.0 tests=AWL,BAYES_00,
	FORGED_RCVD_HELO,NO_REAL_NAME autolearn=no version=3.1.0
Received: from emh07.mail.saunalahti.fi ([62.142.5.117]:34789)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <djcb@HIDDEN>) id 1Ndn2B-0007ZJ-EM
	for emacs-pretest-bug@HIDDEN; Sat, 06 Feb 2010 10:57:24 -0500
Received: from saunalahti-vams (vs3-10.mail.saunalahti.fi [62.142.5.94])
	by emh07-2.mail.saunalahti.fi (Postfix) with SMTP id 1294718D0F0
	for <emacs-pretest-bug@HIDDEN>; Sat,  6 Feb 2010 17:57:20 +0200 (EET)
Received: from emh06.mail.saunalahti.fi ([62.142.5.116])
	by vs3-10.mail.saunalahti.fi ([62.142.5.94])
	with SMTP (gateway) id A04BAC0F541; Sat, 06 Feb 2010 17:57:20 +0200
Received: from mail.djcbsoftware.nl (a88-114-93-212.elisa-laajakaista.fi
	[88.114.93.212])
	by emh06.mail.saunalahti.fi (Postfix) with ESMTP id DD424E51C1
	for <emacs-pretest-bug@HIDDEN>; Sat,  6 Feb 2010 17:57:18 +0200 (EET)
Received: by mail.djcbsoftware.nl (Postfix, from userid 1001)
	id 9FE1C59D9C; Sat,  6 Feb 2010 17:57:18 +0200 (EET)
From: djcb@HIDDEN
To: emacs-pretest-bug@HIDDEN
Subject: 23.1.50; emacs daemon high CPU load even while ununsed
Date: Sat, 06 Feb 2010 17:57:18 +0200
Message-ID: <867hqqnyqp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Antivirus: VAMS
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.8 (-----)


I noted that Emacs (emacs --daemon) takes a lot of of CPU (up to 80%), even
when I am not using it. I am starting emacs --daemon from my ~/.gnomerc, which
is invoked when I start my X session.

I used strace to see what was going on:

gettimeofday({1265471350, 42334}, NULL) = 0
read(0, "", 4096)                       = 0
write(2, "Back to top level.", 18)      = 18
write(2, "\n", 1)                       = 1
poll([{fd=7, events=POLLIN}], 1, 0)     = 0 (Timeout)
gettimeofday({1265471350, 42538}, NULL) = 0
read(0, "", 4096)                       = 0
write(2, "Back to top level.", 18)      = 18
write(2, "\n", 1)                       = 1
poll([{fd=7, events=POLLIN}], 1, 0)     = 0 (Timeout)
gettimeofday({1265471350, 42736}, NULL) = 0
read(0, "", 4096)                       = 0
write(2, "Back to top level.", 18)      = 18
write(2, "\n", 1)                       = 1

[...]

and this continues at high speed. Apparently, emacs calling the lisp function
normal-top-level in lisp/startup.el many, many times.

Hope this helps tracking down the issue.

Best wishes,
Dirk.


If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1.50/etc/DEBUG for instructions.


In GNU Emacs 23.1.50.1 (x86_64-pc-linux-gnu, GTK+ Version 2.18.0)
 of 2009-09-27 on crested, modified by Debian
 (emacs-snapshot package, version 1:20090909-1)
Windowing system distributor `The X.Org Foundation', version 11.0.10604000
configured using `configure  '--build' 'x86_64-linux-gnu' '--host' 'x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.1.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1.50/site-lisp:/usr/share/emacs/site-lisp' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: C
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: C
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8
  default enable-multibyte-characters: t

Major mode: ELisp

Minor modes in effect:
  erc-track-mode: t
  erc-autojoin-mode: t
  tabkey2-mode: t
  show-paren-mode: t
  global-hl-line-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  savehist-mode: t
  cua-mode: t
  icomplete-mode: t
  display-time-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
<down-mouse-1> <mouse-movement> <mouse-1> <help-echo> 
<help-echo> M-x e m a <tab> r e <tab> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> r e p o <tab> r t <tab> <return>

Recent messages:
Loading /home/djcb/.emacs.d/elpa/package.el (source)...done
Loading /home/djcb/.emacs.tmp/recentf...done
Cleaning up the recentf list...done (0 removed)
Ido mode enabled
Preparing diary...
Loading vc-svn...done
Loading vc-git...done
No diary entries for Saturday, February 6, 2010
Autoloading failed to define function linum-mode
Making completion list...

Load-path shadows:
/home/djcb/.emacs.d/elpa/facebook-0.0.1/facebook hides /home/djcb/.emacs.d/elisp/facebook
/home/djcb/.emacs.d/elisp/elscreen hides /usr/share/emacs-snapshot/site-lisp/elscreen/elscreen
/home/djcb/.emacs.d/elisp/htmlize hides /usr/share/emacs-snapshot/site-lisp/emacs-goodies-el/htmlize
/home/djcb/.emacs.d/elisp/color-theme hides /usr/share/emacs-snapshot/site-lisp/emacs-goodies-el/color-theme
/home/djcb/.emacs.d/elisp/thinks hides /usr/share/emacs-snapshot/site-lisp/emacs-goodies-el/thinks
/home/djcb/.emacs.d/elisp/boxquote hides /usr/share/emacs-snapshot/site-lisp/emacs-goodies-el/boxquote
/home/djcb/.emacs.d/elisp/muttrc-mode hides /usr/share/emacs-snapshot/site-lisp/emacs-goodies-el/muttrc-mode
/home/djcb/.emacs.d/elisp/quack hides /usr/share/emacs-snapshot/site-lisp/emacs-goodies-el/quack
/home/djcb/.emacs.d/elisp/slang-mode hides /usr/share/emacs-snapshot/site-lisp/emacs-goodies-el/slang-mode
/usr/share/emacs-snapshot/site-lisp/mailcrypt/mc-gpg hides /usr/share/emacs/site-lisp/mailcrypt/mc-gpg
/usr/share/emacs-snapshot/site-lisp/mailcrypt/expect hides /usr/share/emacs/site-lisp/mailcrypt/expect
/usr/share/emacs-snapshot/site-lisp/mailcrypt/mc-toplev hides /usr/share/emacs/site-lisp/mailcrypt/mc-toplev
/usr/share/emacs-snapshot/site-lisp/mailcrypt/mc-pgp5 hides /usr/share/emacs/site-lisp/mailcrypt/mc-pgp5
/usr/share/emacs-snapshot/site-lisp/mailcrypt/mc-pgp6 hides /usr/share/emacs/site-lisp/mailcrypt/mc-pgp6
/usr/share/emacs-snapshot/site-lisp/mailcrypt/mc-setversion hides /usr/share/emacs/site-lisp/mailcrypt/mc-setversion
/usr/share/emacs-snapshot/site-lisp/mailcrypt/mailcrypt hides /usr/share/emacs/site-lisp/mailcrypt/mailcrypt
/usr/share/emacs-snapshot/site-lisp/mailcrypt/mc-pgp hides /usr/share/emacs/site-lisp/mailcrypt/mc-pgp
/usr/share/emacs-snapshot/site-lisp/mailcrypt/mc-remail hides /usr/share/emacs/site-lisp/mailcrypt/mc-remail
/usr/share/emacs/23.1.50/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs-snapshot/site-lisp/semi/pgg-parse hides /usr/share/emacs/23.1.50/lisp/pgg-parse
/usr/share/emacs-snapshot/site-lisp/semi/pgg-pgp5 hides /usr/share/emacs/23.1.50/lisp/pgg-pgp5
/usr/share/emacs-snapshot/site-lisp/semi/pgg-pgp hides /usr/share/emacs/23.1.50/lisp/pgg-pgp
/usr/share/emacs-snapshot/site-lisp/semi/pgg-def hides /usr/share/emacs/23.1.50/lisp/pgg-def
/home/djcb/.emacs.d/elpa/json-1.2/json hides /usr/share/emacs/23.1.50/lisp/json
/usr/share/emacs-snapshot/site-lisp/semi/pgg-gpg hides /usr/share/emacs/23.1.50/lisp/pgg-gpg
/usr/share/emacs-snapshot/site-lisp/flim/hex-util hides /usr/share/emacs/23.1.50/lisp/hex-util
/usr/share/emacs-snapshot/site-lisp/flim/sha1 hides /usr/share/emacs/23.1.50/lisp/sha1
/usr/share/emacs-snapshot/site-lisp/semi/pgg hides /usr/share/emacs/23.1.50/lisp/pgg
/usr/share/emacs-snapshot/site-lisp/flim/md4 hides /usr/share/emacs/23.1.50/lisp/md4
/usr/share/emacs-snapshot/site-lisp/cedet-common/ezimage hides /usr/share/emacs/23.1.50/lisp/ezimage
/home/djcb/.emacs.d/elisp/linum hides /usr/share/emacs/23.1.50/lisp/linum
/usr/share/emacs-snapshot/site-lisp/css-mode/css-mode hides /usr/share/emacs/23.1.50/lisp/textmodes/css-mode
/usr/local/share/emacs/site-lisp/org-vm hides /usr/share/emacs/23.1.50/lisp/org/org-vm
/usr/local/share/emacs/site-lisp/org-rmail hides /usr/share/emacs/23.1.50/lisp/org/org-rmail
/usr/local/share/emacs/site-lisp/org-indent hides /usr/share/emacs/23.1.50/lisp/org/org-indent
/usr/local/share/emacs/site-lisp/org-bbdb hides /usr/share/emacs/23.1.50/lisp/org/org-bbdb
/usr/local/share/emacs/site-lisp/org-install hides /usr/share/emacs/23.1.50/lisp/org/org-install
/usr/local/share/emacs/site-lisp/org-faces hides /usr/share/emacs/23.1.50/lisp/org/org-faces
/usr/local/share/emacs/site-lisp/org-feed hides /usr/share/emacs/23.1.50/lisp/org/org-feed
/usr/local/share/emacs/site-lisp/org-gnus hides /usr/share/emacs/23.1.50/lisp/org/org-gnus
/usr/local/share/emacs/site-lisp/org-docbook hides /usr/share/emacs/23.1.50/lisp/org/org-docbook
/usr/local/share/emacs/site-lisp/org-ascii hides /usr/share/emacs/23.1.50/lisp/org/org-ascii
/usr/local/share/emacs/site-lisp/org-wl hides /usr/share/emacs/23.1.50/lisp/org/org-wl
/usr/local/share/emacs/site-lisp/org-irc hides /usr/share/emacs/23.1.50/lisp/org/org-irc
/usr/local/share/emacs/site-lisp/org-footnote hides /usr/share/emacs/23.1.50/lisp/org/org-footnote
/usr/local/share/emacs/site-lisp/org-mew hides /usr/share/emacs/23.1.50/lisp/org/org-mew
/usr/local/share/emacs/site-lisp/org-mhe hides /usr/share/emacs/23.1.50/lisp/org/org-mhe
/usr/local/share/emacs/site-lisp/org-latex hides /usr/share/emacs/23.1.50/lisp/org/org-latex
/usr/local/share/emacs/site-lisp/org-exp hides /usr/share/emacs/23.1.50/lisp/org/org-exp
/usr/local/share/emacs/site-lisp/org hides /usr/share/emacs/23.1.50/lisp/org/org
/usr/local/share/emacs/site-lisp/org-info hides /usr/share/emacs/23.1.50/lisp/org/org-info
/usr/local/share/emacs/site-lisp/org-attach hides /usr/share/emacs/23.1.50/lisp/org/org-attach
/usr/local/share/emacs/site-lisp/org-compat hides /usr/share/emacs/23.1.50/lisp/org/org-compat
/usr/local/share/emacs/site-lisp/org-archive hides /usr/share/emacs/23.1.50/lisp/org/org-archive
/usr/local/share/emacs/site-lisp/org-inlinetask hides /usr/share/emacs/23.1.50/lisp/org/org-inlinetask
/usr/local/share/emacs/site-lisp/org-mac-message hides /usr/share/emacs/23.1.50/lisp/org/org-mac-message
/usr/local/share/emacs/site-lisp/org-icalendar hides /usr/share/emacs/23.1.50/lisp/org/org-icalendar
/usr/local/share/emacs/site-lisp/org-id hides /usr/share/emacs/23.1.50/lisp/org/org-id
/usr/local/share/emacs/site-lisp/org-list hides /usr/share/emacs/23.1.50/lisp/org/org-list
/usr/local/share/emacs/site-lisp/org-protocol hides /usr/share/emacs/23.1.50/lisp/org/org-protocol
/usr/local/share/emacs/site-lisp/org-table hides /usr/share/emacs/23.1.50/lisp/org/org-table
/usr/local/share/emacs/site-lisp/org-jsinfo hides /usr/share/emacs/23.1.50/lisp/org/org-jsinfo
/usr/local/share/emacs/site-lisp/org-timer hides /usr/share/emacs/23.1.50/lisp/org/org-timer
/usr/local/share/emacs/site-lisp/org-remember hides /usr/share/emacs/23.1.50/lisp/org/org-remember
/usr/local/share/emacs/site-lisp/org-agenda hides /usr/share/emacs/23.1.50/lisp/org/org-agenda
/usr/local/share/emacs/site-lisp/org-mouse hides /usr/share/emacs/23.1.50/lisp/org/org-mouse
/usr/local/share/emacs/site-lisp/org-w3m hides /usr/share/emacs/23.1.50/lisp/org/org-w3m
/usr/local/share/emacs/site-lisp/org-macs hides /usr/share/emacs/23.1.50/lisp/org/org-macs
/usr/local/share/emacs/site-lisp/org-plot hides /usr/share/emacs/23.1.50/lisp/org/org-plot
/usr/local/share/emacs/site-lisp/org-xoxo hides /usr/share/emacs/23.1.50/lisp/org/org-xoxo
/usr/local/share/emacs/site-lisp/org-html hides /usr/share/emacs/23.1.50/lisp/org/org-html
/usr/local/share/emacs/site-lisp/org-src hides /usr/share/emacs/23.1.50/lisp/org/org-src
/usr/local/share/emacs/site-lisp/org-clock hides /usr/share/emacs/23.1.50/lisp/org/org-clock
/usr/local/share/emacs/site-lisp/org-publish hides /usr/share/emacs/23.1.50/lisp/org/org-publish
/usr/local/share/emacs/site-lisp/org-bibtex hides /usr/share/emacs/23.1.50/lisp/org/org-bibtex
/usr/local/share/emacs/site-lisp/org-colview hides /usr/share/emacs/23.1.50/lisp/org/org-colview
/usr/local/share/emacs/site-lisp/org-exp-blocks hides /usr/share/emacs/23.1.50/lisp/org/org-exp-blocks
/usr/share/emacs-snapshot/site-lisp/flim/sasl-digest hides /usr/share/emacs/23.1.50/lisp/net/sasl-digest
/usr/share/emacs-snapshot/site-lisp/flim/hmac-def hides /usr/share/emacs/23.1.50/lisp/net/hmac-def
/usr/share/emacs-snapshot/site-lisp/flim/sasl hides /usr/share/emacs/23.1.50/lisp/net/sasl
/usr/share/emacs-snapshot/site-lisp/flim/sasl-ntlm hides /usr/share/emacs/23.1.50/lisp/net/sasl-ntlm
/usr/share/emacs-snapshot/site-lisp/flim/ntlm hides /usr/share/emacs/23.1.50/lisp/net/ntlm
/home/djcb/.emacs.d/config/newsticker hides /usr/share/emacs/23.1.50/lisp/net/newsticker
/usr/share/emacs-snapshot/site-lisp/flim/hmac-md5 hides /usr/share/emacs/23.1.50/lisp/net/hmac-md5
/usr/share/emacs-snapshot/site-lisp/flim/sasl-cram hides /usr/share/emacs/23.1.50/lisp/net/sasl-cram
/usr/share/emacs-snapshot/site-lisp/wl/rfc2368 hides /usr/share/emacs/23.1.50/lisp/mail/rfc2368




Acknowledgement sent to djcb@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5535; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.